<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{308,132,1022,598}</property>
    <property name="Name">[sys_list.scr]</property>
    <property name="Caption">[Modelos Gerais Disponiveis]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg

oContextMenu:=Hwg_ContextMenu()
hwg_Btn(oToolbar,5,5,54,54)
hwg_TbMt(oToolbar,' 22;tb_insert(D_OB);Ins-Inclui Form;Ins-Inclui;add.jpg;;;;;Inclui;;;')
hwg_TbMt(oToolbar,' 65;tb_update(D_OB);A-Altera Form;A-Altera;alterar.jpg;;;;;&A-Altera;;;')
hwg_TbMt(oToolbar,'  7;tb_del(D_oB);Del-Exclui;Del-Deleta;deleta.jpg;;;;;Deleta;;;')
d_ob:lEditable = .t.
hwg_Btn(oToolbar,10,544,70,24)
hwg_TbMt(oToolbar,' 32;DoGet(d_ob);Barra-Edita;Barra - Edita;sembitmap;;;Lucida Bright;-11;Edita;;6;')
hwg_TbMt(oToolbar,' 13;rel_expand();Enter-Executa Form;Enter - Executa Form;sembitmap;;;Lucida Bright;-11;Executa;;6;')
hwg_TbMt(oToolbar,' 73;import_lst();I-Importa Form;I - Importa Form;sembitmap;;;Lucida Bright;-11;&I-Importa;;6;')
hwg_TbMt(oToolbar,' 69;export_lst();E-Exporta Form;E - Exporta Form;sembitmap;;;Lucida Bright;-11;&E-Exporta;;6;')
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()
]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,568,1022,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{608,152,0}</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{10,69,1000,458}</property>
      <property name="Name">[D_oB]</property>
      <property name="Anchor">15</property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onInit">
      <![CDATA[hwg_TbFi(D_oB, 'Relat;FFORM;C;;  8;;')
hwg_TbFi(D_oB, 'Descricao;FDESC;C;; 30;;')
hwg_TbFi(D_oB, 'Arquivo;FFILE;C;;  8;;')
hwg_TbFi(D_oB, 'Data;FDATA;D;;  8;;')
hwg_TbFi(D_oB, 'Hora;FHORA;C;;  8;;')
hwg_TbFi(D_oB, 'Larg;FWIDTH;N;;  3;;')
hwg_TbFi(D_oB, 'Menu;FMENU;C;@S8;  8;;')
hwg_TbFi(D_oB, 'Om;Fopcao;C;2;  2;;')
D_oB:bColorSel:= RGB(3,23,133)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:Alias := alias()
D_oB:lDisableVScrollPos := .t.
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"SYS_LIST",.F.,.T.,{||.T.} }
sHwgKeyEdit:= 32
d_ob:bEdit := {|D_oB| .t.}
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})
]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{410,0,483,47}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[Modelos Gerais Disponiveis]</property>
      <property name="Justify">[Right]</property>
      <property name="font">
        <font name="Arial" width="0" height="-37" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">5</property>
    </style>
  </part>
</part>
